import { AxiosResponse } from "axios";
import { request } from "@/utils/request";

import {
  ExamParams,
  ExamSubjectParams,
  RequestActionResult,
} from "./types/common";
import {
  ReviewTaskListItem,
  ReviewProgressResult,
  ReviewTaskSaveParams,
  ReviewTaskHistoryResult,
} from "./types/review";

// 违纪导入
export const reviewTaskList = (
  data: ExamSubjectParams
): Promise<ReviewTaskListItem[]> =>
  request({
    url: "/api/admin/subject/breach/page",
    method: "post",
    data,
  });

// 复核校验进度状态
export const reviewProgress = (
  data: ExamSubjectParams
): Promise<ReviewProgressResult> =>
  request({
    url: "/api/admin/check/omr/arbitrate/get",
    method: "post",
    data,
  });

// 复核校验任务历史
export const reviewTaskHistory = (
  data: ExamParams
): Promise<ReviewTaskHistoryResult> =>
  request({
    url: "/api/admin/check/omr/arbitrate/history",
    method: "post",
    data,
  });

// 复核校验结果提交
export const reviewTaskSave = (
  data: ReviewTaskSaveParams
): Promise<RequestActionResult> =>
  request({
    url: "/api/admin/check/omr/arbitrate/save",
    method: "post",
    data,
  });

// 复核校验重置
export const reviewTaskReset = (
  data: ExamSubjectParams
): Promise<RequestActionResult> =>
  request({
    url: "/api/admin/check/omr/arbitrate/save",
    method: "post",
    data,
  });

// 复核校验异常导出
export const reviewWarningTaskExport = (
  data: ExamSubjectParams
): Promise<AxiosResponse<Blob>> =>
  request({
    url: "/api/admin/subject/image-check/failed/export",
    method: "post",
    data,
    responseType: "blob",
  });
